alter table if exists activity drop constraint if exists FK6oh9xxdf6bbq5xrbub7a2iebg;
alter table if exists activity drop constraint if exists FKh2g4avehpcr1wpaw1wl3if72r;
alter table if exists activity_artifact drop constraint if exists FKm6lgm7vk4gx2bq2t682f5au7m;
alter table if exists activity_artifact drop constraint if exists FKr2t1bft22426ydaisg7qos1sx;
alter table if exists artifact drop constraint if exists FKq3o6g6t4j9b6ltk5xgrh3ns2s;
alter table if exists artifact drop constraint if exists FKial39srhj6fnsinae3obxlf94;
alter table if exists artifact drop constraint if exists FKafummmkrskffwrumd93wyxd3h;
alter table if exists generalprojectprocess drop constraint if exists FKr7kvuji078e9l1fo7ty4iu70p;
alter table if exists generalprojectprocess drop constraint if exists FK1ltamn8bjxdhknf5vwf7rqtch;
alter table if exists loadedsoftwaresystemcopy drop constraint if exists FKr7hwk176k1apruvgn6jbvu1fe;
alter table if exists project drop constraint if exists FK56l08pkdkr9onlugrsj27t6a3;
alter table if exists project drop constraint if exists FK8bibak77woh8739ssogpu62x4;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKqmhcno175t96hnr41q1mew2lm;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKlnoty0i3693rdxqxluqkmhpf5;
alter table if exists specificprojectprocess drop constraint if exists FK3el8abvfdvq1eyxxpkalq6n8f;
alter table if exists specificprojectprocess drop constraint if exists FKh6g172vxkglmvshcaptnh538n;
alter table if exists team drop constraint if exists FKt2rwhhxcjdmje0gqqybiyjdpn;
alter table if exists team drop constraint if exists FKp6ovpc4soflfcjbafch33w2ky;
alter table if exists team drop constraint if exists FK2br1drpqmglvo69ygcy2ex0qm;
alter table if exists teammembership drop constraint if exists FK32hd3ylrcn09jp4eorylbk0i0;
alter table if exists teammembership drop constraint if exists FK7twk5vq5jggy5821vfsop01ka;
alter table if exists teammembership drop constraint if exists FK143nbxei8pea2oxm87slwgsut;
alter table if exists testcode_testcase drop constraint if exists FKfxj886lbnu8romwoocrubmnvs;
alter table if exists testcode_testcase drop constraint if exists FKspfv9g7vwxicon8f01i765j1;
drop table if exists activity cascade;
drop table if exists activity_artifact cascade;
drop table if exists artifact cascade;
drop table if exists generalprojectprocess cascade;
drop table if exists loadedsoftwaresystemcopy cascade;
drop table if exists organization cascade;
drop table if exists organizationalrole cascade;
drop table if exists person cascade;
drop table if exists project cascade;
drop table if exists projectstakeholder cascade;
drop table if exists projectstakeholder_softwareproject cascade;
drop table if exists specificprojectprocess cascade;
drop table if exists team cascade;
drop table if exists teammembership cascade;
drop table if exists testcode_testcase cascade;
create table activity (end_date date, start_date date, activity_id bigint, created_at timestamp(6), id bigserial not null, specificprojectprocess_id bigint, dtype varchar(31) not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), statetype varchar(255) check (statetype in ('PERFORMED','INTENDED')), successtype varchar(255) check (successtype in ('SUCCESSS','UNSUCCESS')), primary key (id));
create table activity_artifact (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table artifact (end_date date, start_date date, artifact_id bigint, codetobetested_id bigint, created_at timestamp(6), id bigserial not null, testcase_id bigint unique, dtype varchar(31) not null, artifacttype varchar(255) check (artifacttype in ('SOFTWAREPRODUCT','SOFTWAREITEM','INFORMATIONITEM','DOCUMENT')), description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table generalprojectprocess (end_date date, start_date date, created_at timestamp(6), generalprojectprocess_id bigint, id bigserial not null, softwareproject_id bigint unique, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), statetype varchar(255) check (statetype in ('PERFORMED','INTENDED')), successtype varchar(255) check (successtype in ('SUCCESSS','UNSUCCESS')), primary key (id));
create table loadedsoftwaresystemcopy (created_at timestamp(6), id bigserial not null, softwaresystem_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table organization (created_at timestamp(6), id bigserial not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table organizationalrole (created_at timestamp(6), id bigserial not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table person (end_date date, start_date date, created_at timestamp(6), id bigserial not null, description varchar(255), email varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table project (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organization_id bigint, project_id bigint, dtype varchar(31) not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table projectstakeholder (created_at timestamp(6), id bigserial not null, dtype varchar(31) not null, primary key (id));
create table projectstakeholder_softwareproject (projectstakeholder_id bigint not null, softwareproject_id bigint not null, primary key (projectstakeholder_id, softwareproject_id));
create table specificprojectprocess (end_date date, start_date date, created_at timestamp(6), generalprojectprocess_id bigint, id bigserial not null, specificprojectprocess_id bigint, dtype varchar(31) not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), statetype varchar(255) check (statetype in ('PERFORMED','INTENDED')), successtype varchar(255) check (successtype in ('SUCCESSS','UNSUCCESS')), primary key (id));
create table team (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organization_id bigint, project_id bigint, team_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), team_purpose varchar(255), teamtype varchar(255) check (teamtype in ('PROJECTTEAM','ORGANIZATIONALTEAM')), primary key (id));
create table teammembership (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organizationalrole_id bigint unique, person_id bigint unique, team_id bigint unique, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table testcode_testcase (testcase_id bigint not null, testcode_id bigint not null, primary key (testcase_id, testcode_id));
alter table if exists activity add constraint FK6oh9xxdf6bbq5xrbub7a2iebg foreign key (activity_id) references activity;
alter table if exists activity add constraint FKh2g4avehpcr1wpaw1wl3if72r foreign key (specificprojectprocess_id) references specificprojectprocess;
alter table if exists activity_artifact add constraint FKm6lgm7vk4gx2bq2t682f5au7m foreign key (artifact_id) references artifact;
alter table if exists activity_artifact add constraint FKr2t1bft22426ydaisg7qos1sx foreign key (activity_id) references activity;
alter table if exists artifact add constraint FKq3o6g6t4j9b6ltk5xgrh3ns2s foreign key (artifact_id) references artifact;
alter table if exists artifact add constraint FKial39srhj6fnsinae3obxlf94 foreign key (codetobetested_id) references artifact;
alter table if exists artifact add constraint FKafummmkrskffwrumd93wyxd3h foreign key (testcase_id) references artifact;
alter table if exists generalprojectprocess add constraint FKr7kvuji078e9l1fo7ty4iu70p foreign key (generalprojectprocess_id) references generalprojectprocess;
alter table if exists generalprojectprocess add constraint FK1ltamn8bjxdhknf5vwf7rqtch foreign key (softwareproject_id) references project;
alter table if exists loadedsoftwaresystemcopy add constraint FKr7hwk176k1apruvgn6jbvu1fe foreign key (softwaresystem_id) references artifact;
alter table if exists project add constraint FK56l08pkdkr9onlugrsj27t6a3 foreign key (organization_id) references organization;
alter table if exists project add constraint FK8bibak77woh8739ssogpu62x4 foreign key (project_id) references project;
alter table if exists projectstakeholder_softwareproject add constraint FKqmhcno175t96hnr41q1mew2lm foreign key (softwareproject_id) references project;
alter table if exists projectstakeholder_softwareproject add constraint FKlnoty0i3693rdxqxluqkmhpf5 foreign key (projectstakeholder_id) references projectstakeholder;
alter table if exists specificprojectprocess add constraint FK3el8abvfdvq1eyxxpkalq6n8f foreign key (generalprojectprocess_id) references generalprojectprocess;
alter table if exists specificprojectprocess add constraint FKh6g172vxkglmvshcaptnh538n foreign key (specificprojectprocess_id) references specificprojectprocess;
alter table if exists team add constraint FKt2rwhhxcjdmje0gqqybiyjdpn foreign key (organization_id) references organization;
alter table if exists team add constraint FKp6ovpc4soflfcjbafch33w2ky foreign key (project_id) references project;
alter table if exists team add constraint FK2br1drpqmglvo69ygcy2ex0qm foreign key (team_id) references team;
alter table if exists teammembership add constraint FK32hd3ylrcn09jp4eorylbk0i0 foreign key (organizationalrole_id) references organizationalrole;
alter table if exists teammembership add constraint FK7twk5vq5jggy5821vfsop01ka foreign key (person_id) references person;
alter table if exists teammembership add constraint FK143nbxei8pea2oxm87slwgsut foreign key (team_id) references team;
alter table if exists testcode_testcase add constraint FKfxj886lbnu8romwoocrubmnvs foreign key (testcase_id) references artifact;
alter table if exists testcode_testcase add constraint FKspfv9g7vwxicon8f01i765j1 foreign key (testcode_id) references artifact;
